Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StoryAreaType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StoryAreaType

Direct Known Subclasses:
  `TdApi.StoryAreaTypeLocation`, `TdApi.StoryAreaTypeMessage`, `TdApi.StoryAreaTypeSuggestedReaction`, `TdApi.StoryAreaTypeVenue`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.StoryAreaType extends TdApi.Object permits TdApi.StoryAreaTypeLocation, TdApi.StoryAreaTypeVenue, TdApi.StoryAreaTypeSuggestedReaction, TdApi.StoryAreaTypeMessage
This class is an abstract base class. Describes type of a clickable rectangle area on a story media.

## Constructor Summary

Constructors
Constructor
Description
`StoryAreaType()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StoryAreaType

public StoryAreaType()
Default class constructor.